## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 18
%bcond_without check
%global debug_package %{nil}

%global crate num-bigint

Name:           rust-%{crate}
Version:        0.4.2
Release:        %autorelease
Summary:        Big integer implementation for Rust

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/num-bigint
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Big integer implementation for Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md RELEASES.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+arbitrary-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+arbitrary-devel %{_description}

This package contains library source intended for building other packages
which use "arbitrary" feature of "%{crate}" crate.

%files       -n %{name}+arbitrary-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+quickcheck-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+quickcheck-devel %{_description}

This package contains library source intended for building other packages
which use "quickcheck" feature of "%{crate}" crate.

%files       -n %{name}+quickcheck-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+rand-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rand-devel %{_description}

This package contains library source intended for building other packages
which use "rand" feature of "%{crate}" crate.

%files       -n %{name}+rand-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages
which use "serde" feature of "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages
which use "std" feature of "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Sep 04 2021 Fabio Valentini <decathorpe@gmail.com> 0.4.2-1
- Update to version 0.4.2; Fixes RHBZ#2001077

* Sat Aug 28 2021 Fabio Valentini <decathorpe@gmail.com> 0.4.1-1
- Update to version 0.4.1; Fixes RHBZ#1998693

* Tue Aug 03 2021 Fabio Valentini <decathorpe@gmail.com> 0.4.0-1
- Update to version 0.4.0; Fixes RHBZ#1936012

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Mar 05 2021 Fabio Valentini <decathorpe@gmail.com> - 0.3.2-1
- Update to version 0.3.2.
- Fixes RHBZ#1935543

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Nov 04 2020 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-1
- Update to version 0.3.1.
- Fixes RHBZ#1894295

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 26 2020 Josh Stone <jistone@redhat.com> - 0.3.0-1
- Update to 0.3.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Jan 27 2020 Josh Stone <jistone@redhat.com> - 0.2.6-1
- Update to 0.2.6

* Wed Jan 15 2020 Josh Stone <jistone@redhat.com> - 0.2.5-1
- Update to 0.2.5

* Tue Jan 07 2020 Josh Stone <jistone@redhat.com> - 0.2.4-1
- Update to 0.2.4

* Wed Nov 20 2019 Josh Stone <jistone@redhat.com> - 0.2.3-1
- Update to 0.2.3

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jun 22 12:53:03 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.2-6
- Regenerate

* Sun Jun 09 14:54:44 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.2-5
- Regenerate

* Sat Mar 16 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.2-4
- Do not pull optional dependencies

* Sat Feb 09 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.2-3
- Run tests in infrastructure

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Dec 14 2018 Josh Stone <jistone@redhat.com> - 0.2.2-1
- Update to 0.2.2

* Sat Nov 03 2018 Josh Stone <jistone@redhat.com> - 0.2.1-1
- Update to 0.2.1

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 30 2018 Josh Stone <jistone@redhat.com> - 0.2.0-1
- Update to 0.2.0

* Mon May 14 2018 Josh Stone <jistone@redhat.com> - 0.1.44-1
- Update to 0.1.44

* Fri Feb 09 2018 Josh Stone <jistone@redhat.com> - 0.1.43-1
- Update to 0.1.43

* Thu Feb 08 2018 Josh Stone <jistone@redhat.com> - 0.1.42-1
- Update to 0.1.42

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.41-3
- Rebuild for rust-packaging v5

* Mon Jan 01 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.41-2
- Bump rand to 0.4

* Sat Dec 02 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.41-1
- Update to 0.1.41

* Tue Nov 07 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.40-1
- Update to 0.1.40

* Thu Jun 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.39-1
- Update to 0.1.39

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.37-2
- Port to use rust-packaging

* Wed Mar 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.37-1
- Update to 0.1.37

* Thu Mar 02 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.36-1
- Initial package

